

angular.module('geo2.controllers')
    .controller('FilterCtrl', ['$scope', '$rootScope', function($scope, $rootScope) {
        console.log("filter controller running");

        $scope.search = function (event) {
            for (var i = 0; i < $scope.event_fields.length; i++){
                if ($scope.event_fields[i].filterValue === null || $scope.event_fields[i].filterValue === undefined || $scope.event_fields[i].filterValue.length === 0) continue;
                if (event.sortedDataValues[i] === null) continue;
                if ($scope.event_fields[i].filterValue != event.sortedDataValues[i].value) return false;
            }
            return true;
        };

        $scope.show_filtered = function(){  
            // Apply filter to events list
            for (var i = 0; i< $scope.events.length; i++){
                var fit = true;
                for (var j = 0; j < $scope.event_fields.length; j++){
                    if ($scope.event_fields[j].filterValue === null || $scope.event_fields[j].filterValue === undefined || $scope.event_fields[j].filterValue.length === 0) continue;
                    if ($scope.events[i].sortedDataValues[j] === null) continue;
                    if ($scope.event_fields[j].filterValue != $scope.events[i].sortedDataValues[j].value){
                        fit = false;
                    }
                }
                $scope.events[i].filtered = fit;
            }
            // Display filtered on the map
            $scope.$emit('eventsFiltered');
        }


}]);
