/* 	HACK
	All this controller does is to watch the selector in home.html, since MainCtrl
	$scope did not register with the select tags in the other tags, even if it would
	read from the $scope variables... I don't know why

	Another thing, this funtionality should be moved to a directive, so we won't have
	to duplicate code for add as well, or we might just have it on home?
*/

angular.module('geo2.controllers')
    .controller('HomeCtrl', ['$scope', '$rootScope', function($scope, $rootScope) {
        console.log("home controller running");

        //if main controller already has a program and stuff, we need to set it... 
        // might do an emit to MainCtrl and ask them?
        


        /* ==== Watchers for selectors in home view ==== */
        $scope.$watch('selected_program', function() {
        	if ($scope.selected_program) {
        		console.log("program selected");
        		$scope.$emit("programSelected", $scope.selected_program);
        	}
        	else {
        		console.log("selected_program in HomeCtrl init...");
        	}
        });

        $scope.$watch('selected_pstage', function() {
        	if ($scope.selected_pstage) {
        		console.log("selected_pstage selected");
        		$scope.$emit("pstageSelected", $scope.selected_pstage);
        	}
        	else {
        		console.log("pstage in HomeCtrl init...");
        	}
        });

        $scope.$watch('selected_org_unit', function() {
        	if ($scope.selected_org_unit) {
        		console.log("org_unit selected");
        		$scope.$emit("orgUnitSelected", $scope.selected_org_unit);
        	}
        	else {
        		console.log("orgunit in HomeCtrl init");
        	}
        });

        $scope.$watch('startDate', function() {
            $scope.$emit("startDate", $scope.startDate);

        });
        
        $scope.$watch('endDate', function() {
            $scope.$emit("endDate", $scope.endDate);
        });


}]);
